/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_H)
#define _DATA_H

#include <calendar.h>

typedef struct _rec_info {
	int id;
	char *title;
	struct tm t_start;
	struct tm t_end;
	char *time_zone;
	bool all_day;
	char *location;
	char *description;
	int priority;
	int sensitivity;
	int status;
	int recurr_freq;
	int recurr_range;
	int recurr_count;
	struct tm recurr_until;
	int reminder;
} rec_info_s;

bool data_connect_calendar(void);
bool data_disconnect_calendar(void);
bool data_create_record(calendar_record_h *rec_h);
bool data_destroy_record(calendar_record_h rec_h);
bool data_insert_record(calendar_record_h rec_h);
bool data_update_record(calendar_record_h rec_h);
bool data_delete_record(int rec_id);
bool data_get_record(int rec_id, calendar_record_h *rec_h);
bool data_set_record_data(calendar_record_h rec_h,
							const char *title,
							struct tm *t_start, struct tm *t_end, bool all_day,
							const char *location, const char *description,
							int priority, int sensitivity, int status,
							int recurr_freq, int recurr_range, int recurr_count, struct tm *recurr_until,
							int reminder);
bool data_get_record_data(calendar_record_h rec_h, rec_info_s **rec_info);
void data_destroy_record_data(rec_info_s *rec_info);
bool data_get_all_records(const char *uri, calendar_list_h *list_h, int *count);
bool data_get_first_list_item(calendar_list_h list_h, calendar_record_h *rec_h);
bool data_get_next_list_item(calendar_list_h list_h, calendar_record_h *rec_h);

#endif
