/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_RECURRENCE_H)
#define _VIEW_RECURRENCE_H

#include <time.h>
#include <calendar.h>

typedef struct {
	calendar_recurrence_frequency_e id;
	calendar_range_type_e range_type;
	int count;
	struct tm tm;
} recurrence_repeat_data;

Evas_Object *view_recurrence_create(Evas_Object *navi, recurrence_repeat_data *recurrence_data, Evas_Smart_Cb func);

#endif
